Subject: [netatalk-admins] Problems with netatalk+asun 18 on Solaris 2.5.2

From: Sak Wathanasin <[email-masked]>
Date: Thu, 8 Jan 1998 00:48:27 +0000

Some time ago (Dec 01), a J. Stenberg sent the following message to this list:

> ...
> I get this when I install Netatalk1.4b2 as well.  With the umich package
> (non a sun-ed) I can do just about everything regardless of this apparent
> problem.  However Netatalk1.4b2+asun.. (latest version as far as I know
> from your site) has a problem.  Everything loads up and the server is
> available to apple clients but when a client tries to login with the
> chooser there is a long pause before available volumes are listed.  Then,
> it shows the user the home directory but when clicked it says that a pipe
> was broken.
> ...

Were there any responses to this message? I couldn't find any. I'm having the
same problems after installing netatalk 1.4b2+asun 18 on a Solaris 2.5.2 box.
This same version has been running just fine on my Linux (RH 5.0, 2.0.32
kernel).

It builds and installs fine, then when I try connecting to it, I see exactly
the symptoms described above. I've found that the "long pause" is due to a core
dump by afpd (?). Also, if I run as anything other then root  doing pap for
example, I get

nbp_lookup: Permission denied

I suspect these problems are not unrelated. I've checked the permissions
compared with my Linux box and everything looks fine.

Has anyone else run into this or has any ideas as to what might be causing this?

Many thanks.

Sak Wathanasin
Network Analysis Limited
178 Wainbody Ave South, Coventry CV3 6BX, UK

Internet: [email-masked]
Phone: (+44) 1203 419996                    Fax: (+44) 1203 690690

---

From: Masaharu Fukuyama <[email-masked]>
Date: Wed, 07 Jan 1998 17:21:21 -0800

I've got same problem 1st time when I successfully compiled and
installed, but after I comment out PAM module and put -DSHADOWPW flag in
Makefile, everything works fine.

-- 
Masaharu Fukuyama
ALCATRAZ digital media, inc.
ALCATRAZ digital image, inc.
VE information systems, inc.

---

From: William LeFebvre <[email-masked]>
Date: Wed, 07 Jan 1998 21:14:40 -0500

> Has anyone else run into this or has any ideas as to what might be causing

I see the exact same symptoms trying to run 1.4b2asun2.0a17.2 under
Solaris 2.5.1 (uname -a says "SunOS ocee 5.5.1 Generic_103640-08 sun4m
sparc SUNW,SPARCstation-5").

I also have no solution but am eager to find one.

Straight 1.4b2 worked fine.

				William LeFebvre
				Group sys Consulting
				<[email-masked]>
				+1 770 813 3224

---

From: Edan Idzerda <[email-masked]>
Date: Wed, 7 Jan 1998 21:24:57 -0500 (EST)

> nbp_lookup: Permission denied

Are you sure that nbp_lookup and other friends don't need to be suid root?
Or at least setgid some device-reading critter?  I don't know anything
about the hanging/coredumping.
 
Hope this helps.

- edan

---

From: Sak Wathanasin <[email-masked]>
Date: Thu, 8 Jan 1998 23:19:57 +0000

In reply to Edan Idzerda's message of the 07/01/98 at 21:24 -0500,

> Are you sure that nbp_lookup and other friends don't need to be suid root?

I'm not at all sure; in fact, setting pap, papstatus and nbplkup to suid root
lets me print (:-). But I'm not sure why - is it /dev/ddp? Linux doesn't need
it, and I'm not yet Solaris-savvy. I'm generally unhappy about suid root unless
it's really unnecessary.

Sak Wathanasin
Network Analysis Limited

Internet: [email-masked]